Bug 584149 - Column sorting on the new /rhq/inventory/browseResources.xhtml is not yet working
Summary: Column sorting on the new /rhq/inventory/browseResources.xhtml is not yet wor...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: 1.4
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Joseph Marques
QA Contact: Corey Welton
URL:
Whiteboard:
Depends On:
Blocks: jon24-search
TreeView+ depends on / blocked
 
Reported: 2010-04-20 20:21 UTC by John Sefler
Modified: 2010-08-12 16:55 UTC (History)
1 user (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-12 16:55:39 UTC
Embargoed:


Attachments (Terms of Use)

Description John Sefler 2010-04-20 20:21:56 UTC
Description of problem:
The new /rhq/inventory/browseResources.xhtml pages for browsing PLATFORMS, SERVERS, and RESOURCES (which replaces the old /ResourceHub.do pages) contains clickable column headers that are supposed to sort the rows in Ascending or Descending order.  This is broken or not yet implemented.

Using this defect so that automated legacy tests will skip until there is a fix for this bug.


Version-Release number of selected component (if applicable):
version: 3.0.0-SNAPSHOT
build number: b46489e

How reproducible:
always

Steps to Reproduce:
1. go to Resources > Platforms,  Resources > Servers,  Resources > Services,
2. click on the column headers:  Name, Category, Type, Plugin, Description, Availability...
  
Actual results:
No rows are being sorted.

Expected results:
Rows should get sorted (Ascending/Descending)
They used to get sorted with an up/down .gif and a sort order #

Comment 1 Joseph Marques 2010-04-27 20:28:31 UTC
commit d568a683944cbb81c717589f7c8c1a341a0ae433

fix for broken sorting on the inventory browser (resources and groups)
    
* CriteriaQueryGenerator now automatically prepends the alias to the ordering fields when building the query (from GWT prototype, merged to master)
* needed to remove explicit alias identifier from the sortableColumnHeader definitions
* also, updated CriteriaQueryGenerator to support sorting by column ordinals (required by group browser's availability columns)

Comment 2 gneelaka@redhat.com 2010-04-28 11:30:02 UTC
Tested on JON build#116  Revision 10615

Steps: 

1)Go to resources->platforms,Resources->servers,Resources->services.
2)Click on the column headers: name,Category,type,plugin,Description,Availability.

Observation:

Rows are getting sorted in ascending as well as descending order.this is working
fine.

Comment 3 Corey Welton 2010-08-12 16:55:39 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.